Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface GetMonitor

public interface GetMonitor
extends MonitorDef

Monitors access to a Getable object in the WebLogic Server. Implement this interface to create a monitor that can operate on a target object before or after a call to its get method takes place.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Getable`

Method Summary
`void` | `postGet(Getable target, ParamSet callbackData, java.lang.Exception e)` Called after a target object is accessed.
`void` | `preGet(Getable target, ParamSet callbackData)` Called prior to accessing a target object.

Methods inherited from interface weblogic.common.MonitorDef
`monitorInit, setServices`

Method Detail

### preGet

    public void preGet(Getable target,
                       ParamSet callbackData)
                throws MonitorException

  Called prior to accessing a target object. Implement this method to perform a task before a Getable object is accessed.

  Parameters:
    `target` - Object about to be accessed
    `callbackData` - User-supplied callback data
  Throws:
    MonitorException - if the operation is blocked

### postGet

    public void postGet(Getable target,
                        ParamSet callbackData,
                        java.lang.Exception e)

  Called after a target object is accessed. Implement this method to perform a task following access to a Getable object.

  The argument "e" is an exception that occurred during the call to `preGet()`, or by performing the action itself. If the exception is non-null, then the operation failed.

  Parameters:
    `target` - Object that was accessed
    `callbackData` - User-supplied callback data
    `e` - Exception during `preGet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD